@echo off
echo off
cls
rem  **************************************************************************
rem  **                                                                      **
rem  **         Installation Batch File:                                     **
rem  **     GraphicsENGINE Graphics Accelerator                              **
rem  **                     and                                              **
rem  **                 Cadkey 3.55                                          **
rem  **                 Cadkey 386                                           **
rem  **                 Cadkey 5.0                                           **
rem  **                     or                                               **
rem  **                 DataCAD 4.0                                          **
rem  **                                                                      **
rem  **************************************************************************
echo ACTIX Systems, Inc.
echo Device Driver Install Disk
echo for DataCad or CadKey.
echo .
rem
rem first, make certain we're not logged onto the A drive
rem
@echo off
if NOT EXIST install.bat goto Continue
rem
rem since we are, lets go to the C: drive
rem
c:
echo Searching for CadKey products on drive C:
goto inst_DCAD
:Continue
echo Searching for CadKey products on the default drive.
:inst_DCAD
if NOT EXIST \mtec\dcad.exe goto inst_CK
rem install the dataCAD files here...
echo Please wait for a moment while the files are transfering...
echo .
rename \mtec\drv\drivers.gd4 drivers4.bak
echo  .
rename \mtec\drv\drivers.gd2 drivers2.bak
echo   .
copy \mtec\drv\drivers4.bak+%id%%ip%drivers.gd4 \mtec\drv\drivers.gd4 > %id%%ip%inst.st
echo    .
copy \mtec\drv\drivers2.bak+%id%%ip%drivers.gd2 \mtec\drv\drivers.gd2 > %id%%ip%inst.st
echo     .
copy %id%%ip%dl_911.exe \mtec\drv\dl_911.exe > %id%%ip%inst.st
echo      .
copy %id%%ip%ck_911.exe \mtec\drv\ck_911.exe > %id%%ip%inst.st
echo       .
echo File transfers completed. To finish configuring DataCad, the
echo DataCad configuration program must be run to tell DataCad about
echo these new drivers.
echo .
echo To cancel the config program, press ^C now, or
pause
cd \mtec
config
echo .
echo DATACAD driver installation completed.
goto All_Done
:inst_CK
if NOT EXIST \cadkey\cadkey.exe goto All_Done
rem install the CADKEY files here...
echo Please wait a moment while the driver files are transfering...
echo .
rename \cadkey\grdev.dat grdev.bak
echo  .
copy \cadkey\grdev.bak+%id%%ip%grdev.dat \cadkey\grdev.dat > %id%%ip%inst.st
echo   .
copy %id%%ip%ck_911.exe \cadkey > %id%%ip%inst.st
echo    .
echo File transfers complete. To finish configuring CadKey, the
echo CadKey configuration program must be run in order to use
echo these new drivers.
echo .
echo To cancel the config program, press ^C now, or
pause
cd \cadkey
config
echo .
echo CadKey driver installation completed.
goto All_Done
:USAGE
echo .
echo In order to be installed correctly, the following conditions must
echo be true:
echo .
echo   *   This install disk must be in drive %id%.
echo   *   The CURRENT drive must contain CadKey or DataCad.
echo .
echo No other exceptions are allowed by this installation program.
echo .
echo To install in non-standard directories, please refer to the instructions
echo in this installation program. (%id%%ip%INSTALL.BAT)
goto end
:All_Done
if NOT EXIST %id%%ip%inst.st goto USAGE
del %id%%ip%inst.st
rem Here we will tell the user that installation is completed.
rem
echo GraphicsENGINE driver installation is now completed!
:end
pause
